net.i2p.sam.client

## Class SAMStreamSink

- java.lang.Object
- - net.i2p.sam.client.SAMStreamSink

-     public class SAMStreamSink
      extends Object

  Sit around on a SAM destination, receiving lots of data and writing it to disk Usage: SAMStreamSink samHost samPort myKeyFile sinkDir

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMStreamSink(I2PAppContext ctx, String samHost, String samPort, String destFile, String sinkDir)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `void` | `startup()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMStreamSink

          public SAMStreamSink(I2PAppContext ctx,
                       String samHost,
                       String samPort,
                       String destFile,
                       String sinkDir)

  - ### Method Detail

    - #### main

          public static void main(String[] args)

    - #### startup

          public void startup()